Results 1 to 8 of 8

Thread: How install libimobiledevice for iPhone on OpenSUSE?

  1. #1

    Default How install libimobiledevice for iPhone on OpenSUSE?

    This is absolutely amazing. You have to watch the video in the first link. With this you can do more on linux with an iPod Touch than on windows.

    I see they have a link to a repository for OpenSUSE, but it has about 50 things there. Anyone know which ones I should install?

    iPhone & iPod Management on Linux Just Got Easier | The Linuxologist iPhone & iPod Management on Linux Just Got Easier | Bringing Linux to the Masses
    libimobiledevice - Teaching Penguins to talk to fruits

    Packages for OpenSUSE: Index of /repositories/home://FunkyM://iphone

  2. #2

    Default Re: How install libimobiledevice for iPhone on OpenSUSE?

    Hello 6tr6tr,

    Quote Originally Posted by 6tr6tr
    I see they have a link to a repository for OpenSUSE, but it has about 50 things there. Anyone know which ones I should install?
    These packages are for different openSUSE versions or other archs.

    Did you know you can find it with the SoftwareSearch.
    When you found it just click on the one-click install.

    Good luck!
    Where did I put my coffee cup?
    dir -R /home/* | grep "coffee cup"

  3. #3

    Default Re: How install libimobiledevice for iPhone on OpenSUSE?

    Quote Originally Posted by Edward_Iii View Post
    Hello 6tr6tr,


    These packages are for different openSUSE versions or other archs.

    Did you know you can find it with the SoftwareSearch.
    When you found it just click on the one-click install.

    Good luck!
    Sorry, I was unclear. I know that's for diff. versions, I meant for my version:
    Index of /repositories/home://FunkyM://iphone/openSUSE_11.2/i586

    It has 50 diff. things there. Do I need them all?

    (Also, the software search turns up ZERO results)

    Code:
    [   ] gvfs-1.5.1-73.2.i586.rpm                            11-Feb-2010 21:33  206K   Mirrors Metalink
    [   ] gvfs-backends-1.5.1-73.2.i586.rpm                   11-Feb-2010 21:33  738K   Mirrors Metalink
    [   ] gvfs-devel-1.5.1-73.2.i586.rpm                      11-Feb-2010 21:33   23K   Mirrors Metalink
    [   ] gvfs-fuse-1.5.1-73.2.i586.rpm                       11-Feb-2010 21:33   34K   Mirrors Metalink
    [   ] ifuse-1.0.0-3.1.i586.rpm                            01-Apr-2010 06:01   19K   Mirrors Metalink
    [   ] ifuse-debuginfo-1.0.0-3.1.i586.rpm                  01-Apr-2010 06:01   16K   Mirrors Metalink
    [   ] ifuse-debugsource-1.0.0-3.1.i586.rpm                01-Apr-2010 06:01  9.1K   Mirrors Metalink
    [   ] iproxy-1.0.3-5.1.i586.rpm                           01-Apr-2010 04:22  8.5K   Mirrors Metalink
    [   ] iproxy-debuginfo-1.0.3-5.1.i586.rpm                 01-Apr-2010 04:22   11K   Mirrors Metalink
    [   ] libgpod-devel-0.7.93-2.1.i586.rpm                   09-Apr-2010 16:51   27K   Mirrors Metalink
    [   ] libgpod-doc-0.7.93-2.1.i586.rpm                     09-Apr-2010 16:51  121K   Mirrors Metalink
    [   ] libgpod-python-0.7.93-2.1.i586.rpm                  09-Apr-2010 16:51  140K   Mirrors Metalink
    [   ] libgpod-python-debuginfo-0.7.93-2.1.i586.rpm        09-Apr-2010 16:51  137K   Mirrors Metalink
    [   ] libgpod-tools-0.7.93-2.1.i586.rpm                   09-Apr-2010 16:51   25K   Mirrors Metalink
    [   ] libgpod-tools-debuginfo-0.7.93-2.1.i586.rpm         09-Apr-2010 16:51   40K   Mirrors Metalink
    [   ] libgpod4-0.7.93-2.1.i586.rpm                        09-Apr-2010 16:51  181K   Mirrors Metalink
    [   ] libgpod4-debuginfo-0.7.93-2.1.i586.rpm              09-Apr-2010 16:51  175K   Mirrors Metalink
    [   ] libgpod4-debugsource-0.7.93-2.1.i586.rpm            09-Apr-2010 16:51  339K   Mirrors Metalink
    [   ] libgvfscommon0-1.5.1-73.2.i586.rpm                  11-Feb-2010 21:33   67K   Mirrors Metalink
    [   ] libimobiledevice-debugsource-1.0.0-8.1.i586.rpm     01-Apr-2010 01:47  115K   Mirrors Metalink
    [   ] libimobiledevice-devel-1.0.0-8.1.i586.rpm           01-Apr-2010 01:47   16K   Mirrors Metalink
    [   ] libimobiledevice-doc-1.0.0-8.1.i586.rpm             01-Apr-2010 01:47   21K   Mirrors Metalink
    [   ] libimobiledevice-tools-1.0.0-8.1.i586.rpm           01-Apr-2010 01:47   29K   Mirrors Metalink
    [   ] libimobiledevice-tools-debuginfo-1.0.0-8.1.i586.rpm 01-Apr-2010 01:47   35K   Mirrors Metalink
    [   ] libimobiledevice1-1.0.0-8.1.i586.rpm                01-Apr-2010 01:47   41K   Mirrors Metalink
    [   ] libimobiledevice1-debuginfo-1.0.0-8.1.i586.rpm      01-Apr-2010 01:47   57K   Mirrors Metalink
    [   ] libplist++-devel-1.2-2.1.i586.rpm                   22-Jan-2010 09:05  7.1K   Mirrors Metalink
    [   ] libplist++1-1.2-2.1.i586.rpm                        22-Jan-2010 09:05   32K   Mirrors Metalink
    [   ] libplist-devel-1.2-2.1.i586.rpm                     22-Jan-2010 09:05  7.7K   Mirrors Metalink
    [   ] libplist1-1.2-2.1.i586.rpm                          22-Jan-2010 09:05   25K   Mirrors Metalink
    [   ] libplist1-debuginfo-1.2-2.1.i586.rpm                22-Jan-2010 09:05  7.5K   Mirrors Metalink
    [   ] libusb-1_0-0-1.0.6-8.2.i586.rpm                     18-Mar-2010 20:21   59K   Mirrors Metalink
    [   ] libusb-1_0-devel-1.0.6-8.2.i586.rpm                 18-Mar-2010 20:21   16K   Mirrors Metalink
    [   ] libusbmuxd-devel-1.0.3-5.1.i586.rpm                 01-Apr-2010 04:22  8.7K   Mirrors Metalink
    [   ] libusbmuxd1-1.0.3-5.1.i586.rpm                      01-Apr-2010 04:22   14K   Mirrors Metalink
    [   ] libusbmuxd1-debuginfo-1.0.3-5.1.i586.rpm            01-Apr-2010 04:22   18K   Mirrors Metalink
    [   ] plutil-1.2-2.1.i586.rpm                             22-Jan-2010 09:05  6.7K   Mirrors Metalink
    [   ] plutil-debuginfo-1.2-2.1.i586.rpm                   22-Jan-2010 09:05  6.7K   Mirrors Metalink
    [   ] python-imobiledevice-1.0.0-8.1.i586.rpm             01-Apr-2010 01:47   75K   Mirrors Metalink
    [   ] python-imobiledevice-debuginfo-1.0.0-8.1.i586.rpm   01-Apr-2010 01:47  151K   Mirrors Metalink
    [   ] python-plist-1.2-2.1.i586.rpm                       22-Jan-2010 09:05  563K   Mirrors Metalink
    [   ] python-plist-debuginfo-1.2-2.1.i586.rpm             22-Jan-2010 09:05  752K   Mirrors Metalink
    [   ] usbmuxd-1.0.3-5.1.i586.rpm                          01-Apr-2010 04:22   48K   Mirrors Metalink
    [   ] usbmuxd-debuginfo-1.0.3-5.1.i586.rpm                01-Apr-2010 04:22   30K   Mirrors Metalink
    [   ] usbmuxd-debugsource-1.0.3-5.1.i586.rpm              01-Apr-2010 04:22   31K   Mirrors Metalink

  4. #4

    Default Re: How install libimobiledevice for iPhone on OpenSUSE?

    Hello 6tr6tr,

    Quote Originally Posted by 6tr6tr
    It has 50 diff. things there. Do I need them all?
    I think these are dependencies of libimobiledevice.
    So you need to install them all.

    Quote Originally Posted by 6tr6tr
    (Also, the software search turns up ZERO results)
    Strange I found packages for 11.2, 11.1 and 11.0.
    Here are the links: 11.2, 11.1 and 11.0
    Taking a close look at the first entry you can see it's the same repository as you are giving.

    If you still have zero result I would recommend to add the repository.
    Go to YaST->Software->Software Repositories.
    Click on add and select http.
    Press next and enter this:

    Repository name: libimobiledevice
    Server name: download.opensuse.org
    Directory on server: /repositories/home://FunkyM://iphone/openSUSE_11.2/

    Click on next and now you have the repository.
    Go to Software Management and install libimobiledevice.

    Good luck!
    Where did I put my coffee cup?
    dir -R /home/* | grep "coffee cup"

  5. #5

    Lightbulb Re: How install libimobiledevice for iPhone on OpenSUSE?

    For music syncing make sure to upgrade libgpod4.
    If you are on GNOME, gvfs should be upgraded to allow for the Desktop to show the device icon and allow filesystem browsing. However, due to too much backporting work that might all become available in 11.3 first.

  6. #6

    Default Re: How install libimobiledevice for iPhone on OpenSUSE?

    Quote Originally Posted by Edward_Iii View Post
    Hello 6tr6tr,

    I think these are dependencies of libimobiledevice.
    So you need to install them all.


    Strange I found packages for 11.2, 11.1 and 11.0.
    Here are the links: 11.2, 11.1 and 11.0
    Taking a close look at the first entry you can see it's the same repository as you are giving.

    If you still have zero result I would recommend to add the repository.
    Go to YaST->Software->Software Repositories.
    Click on add and select http.
    Press next and enter this:

    Repository name: libimobiledevice
    Server name: download.opensuse.org
    Directory on server: /repositories/home://FunkyM://iphone/openSUSE_11.2/

    Click on next and now you have the repository.
    Go to Software Management and install libimobiledevice.

    Good luck!
    Thanks! I'm going to give that a try.

  7. #7

    Default Re: How install libimobiledevice for iPhone on OpenSUSE?

    Quote Originally Posted by FunkyM View Post
    For music syncing make sure to upgrade libgpod4.
    If you are on GNOME, gvfs should be upgraded to allow for the Desktop to show the device icon and allow filesystem browsing. However, due to too much backporting work that might all become available in 11.3 first.
    What repository provides libgpod4?

  8. #8

    Default Re: How install libimobiledevice for iPhone on OpenSUSE?

    Hello 6tr6tr,

    Quote Originally Posted by 6tr6tr
    What repository provides libgpod4?
    It is available in the same repository as libimobiledevice.
    So if you used the one-click install or added the repository manual then you have the repository already.
    Open Software Management and search for libgpod4 and see if it is installed.

    Good luck!
    Where did I put my coffee cup?
    dir -R /home/* | grep "coffee cup"

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •